# $Revision: 1.51 $, $Date: 2008/12/01 13:57:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Maketext
Summary:	Locale::Maketext - framework for localization
Summary(pl.UTF-8):	Locale::Maketext - szkielet do lokalizacji programów
Name:		perl-Locale-Maketext
Version:	1.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	98f9c577e65f40cc2b328d8570e2ab27
URL:		http://search.cpan.org/dist/Locale-Maketext/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-I18N-LangTags >= 0.30
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is a common feature of applications (whether run directly, or via
the Web) for them to be "localized" - i.e., for them to a present an
English interface to an English-speaker, a German interface to a
German-speaker, and so on for all languages it's programmed with.

Locale::Maketext is a framework for software localization; it provides
you with the tools for organizing and accessing the bits of text and
text-processing code that you need for producing localized
applications.

%description -l pl.UTF-8
Często spotykaną cechą programów (uruchamianych bezpośrednio lub przez
WWW) jest ich lokalizacja, czyli umiejętność prezentowania
angielskiego interfejsu użytkownikowi anglojęzycznemu, niemieckiego -
niemieckojęzycznemu i tak dalej dla wszystkich języków, dla których
istnieją tłumaczenia.

Locale::Maketext jest szkieletem do tworzenia zlokalizowanych
programów; udostępnia Ci narzędzia do organizowania i odwoływania się
do fragmentów tekstu, oraz potrzebnego Ci przy tworzeniu
zlokalizowanego oprogramowania kodu przetwarzającego tekst.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Locale/Maketext.pm
%dir %{perl_vendorlib}/Locale/Maketext
%{perl_vendorlib}/Locale/Maketext/Guts*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Maketext.spec,v $
Revision 1.51  2008/12/01 13:57:31  arekm
- up to 1.13

Revision 1.50  2007-12-24 18:21:16  qboosh
- generic URL

Revision 1.49  2007-12-24 02:19:11  zbyniu
- up to 1.12

Revision 1.48  2007-09-11 07:46:30  arekm
- up to 1.10

Revision 1.47  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.45  2004/11/03 22:30:30  paladine
- formatting

Revision 1.44  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.43  2004/05/06 18:20:30  ankry
- fixed perl-devel BR

Revision 1.42  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.41  2004/04/22 18:21:30  ankry
- license fixes & unification

Revision 1.40  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.39  2004/04/09 18:51:48  adamg
- more specific BuildRequires

Revision 1.38  2004/04/09 18:48:58  adamg
- updated to 1.09

Revision 1.37  2004/01/24 22:27:26  arekm
- autoupdated to 1.08

Revision 1.36  2003/10/04 13:39:04  gotar
- fixed bcond

Revision 1.35  2003/09/21 21:48:29  adamg
- fixed %%files

Revision 1.34  2003/09/20 12:02:13  arekm
- include missing files

Revision 1.33  2003/09/18 13:19:28  adamg
- updated to 1.06

Revision 1.32  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/06/11 11:49:55  qboosh
- cosmetics from RA-branch, updated to 1.05

Revision 1.29  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:35:41  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/09/17 23:19:08  ankry
- added %%{perl_sitelib}/%{pdir}/%{pnam} dir for submodules in other packages
- cleaning, release 6

Revision 1.22  2002/08/16 23:28:54  radek
- provided informative summary/description
- new %%doc, conditional tests, fixed License field, release 5

Revision 1.21  2002/07/10 08:47:52  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:51  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:28:22  depesz
adapterized

Revision 1.15  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.13  2001/06/24 20:14:41  mis
- autoupdated to 1.03

Revision 1.12  2001/05/28 16:51:25  mis
- autoupdated to 1.01

Revision 1.11  2001/04/17 12:11:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/11 01:48:53  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/09/05 00:51:55  kloczek
- updated to 0.18.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:38  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 21:11:55  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
